This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 417321 - ipw2200 causes a lot of wakeups even when the wireless interface is inactive
ipw2200 causes a lot of wakeups even when the wireless interface is inactive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-12-09 11:56 EST by dann
Modified: 2009-01-13 14:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 14:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dann 2007-12-09 11:56:49 EST
Description of problem:
Powertop shows that ipw2200 causes a high number of wakeups even though the
wireless interface is not activated (ifconfig shows that it is not active).

Wakeups-from-idle per second : 67.6     interval: 5.0s
no ACPI power usage estimate available

Top causes for wakeups:
  62.7% ( 39.4)       <interrupt> : ipw2200 

Version-Release number of selected component (if applicable):
kernel-2.6.23.8-63.fc8

The device in question is  (lspci output):

0b:02.0 Network controller: Intel Corporation PRO/Wireless 2915ABG Network
Connection (rev 05)

This is happens right after booting the machine, the corresponding wireless
interface is set to NOT be activated at boot time.
Comment 1 John W. Linville 2008-03-06 09:07:38 EST
I wonder if adding the following line to /etc/modprobe.conf make any 
difference?

   options ipw2200 associate=0 auto_create=0
Comment 2 dann 2008-03-06 11:19:28 EST
(In reply to comment #1)
> I wonder if adding the following line to /etc/modprobe.conf make any 
> difference?
> 
>    options ipw2200 associate=0 auto_create=0


Unfortunately it doesn't.
Comment 3 Bug Zapper 2008-11-26 03:55:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 dann 2008-12-01 12:40:44 EST
Still happens in F10.
Comment 5 John W. Linville 2008-12-16 11:28:22 EST
I do not find this to be the case, even with an active connection.  How many wakeups are you calling a lot?
Comment 6 John W. Linville 2009-01-13 14:35:24 EST
Closing due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.